Bug 219406 - pcb-doc: non-failsafe install-info usage
pcb-doc: non-failsafe install-info usage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pcb (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-12-12 17:31 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-24 11:39:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-12 17:31:23 EST
pcb-doc's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %preun would fix it.

Additionally, on a cosmetic note, install-info works on plain *.info too, no
need to explicitly specify the .gz extension if you like.

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 1 Chitlesh GOORAH 2006-12-16 04:02:44 EST
I'm opting for 

%post doc
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun doc
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

would it do the job ?
Comment 2 Ville Skyttä 2006-12-16 10:59:19 EST
That should do the trick.  On another cosmetic note, I'd use "[ $1 -eq 0 ]"
instead of "[ $1 = 0 ]" but both should work.
Comment 3 Chitlesh GOORAH 2006-12-24 11:39:06 EST
Ok, Fixed!

Note You need to log in before you can comment on or make changes to this bug.